VRPlatformVRPlatform
Transactions

/transactions/expenses/csv

Expense transactions CSV export

GET
/transactions/expenses/csv
X-API-Key<token>

API key provided in dashboard

In: header

Query Parameters

type?string
Value in"deposit" | "expense" | "transfer" | "payout"
isOpeningBalance?boolean
status?string
Value in"active" | "inactive"
includeLines?boolean
accountId?string
last4?string
Length4 <= length <= 4
isLocked?boolean
hasActiveJournalEntries?boolean
connectionId?string

connection id or 'null'

amount?string

Amount in cents, also accepts ranges like 100...200

paidAtRange?string

Date range string. Accepted syntax: YYYY, YYYY-MM, YYYY-MM-DD, or range YYYY-MM-DD...YYYY-MM-DD. Single values expand to the full year, month, or day.

Formatvrp-date-range
dateRange?string

Date range string. Accepted syntax: YYYY, YYYY-MM, YYYY-MM-DD, or range YYYY-MM-DD...YYYY-MM-DD. Single values expand to the full year, month, or day.

Formatvrp-date-range
isDateRangeEndInclusive?boolean

Whether the end date in dateRange or paidAtRange is treated as inclusive (true) or exclusive (false).

Defaulttrue
uniqueRefs?string

Comma-separated transaction unique refs.

Formatvrp-csv
shortRefs?string
ids?string
search?string
recurringTemplateId?string
paidStatus?string
Value in"unpaid" | "underpaid" | "overpaid" | "paid"
matchedByBankRule?boolean
reconciled?boolean

Filter transactions by reconciled state. True only returns reconciled transactions.

contactId?string
listingIds?string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.vrplatform.app/transactions/expenses/csv"
{
  "url": "string"
}
{
  "code": "string",
  "message": "string",
  "issues": [
    {
      "message": "string"
    }
  ],
  "context": null
}
{
  "code": "string",
  "message": "string",
  "issues": [
    {
      "message": "string"
    }
  ],
  "context": null
}
{
  "code": "string",
  "message": "string",
  "issues": [
    {
      "message": "string"
    }
  ],
  "context": null
}
{
  "code": "string",
  "message": "string",
  "issues": [
    {
      "message": "string"
    }
  ],
  "context": null
}
{
  "code": "string",
  "message": "string",
  "issues": [
    {
      "message": "string"
    }
  ],
  "context": null
}